#ifndef PICTURES_H
#define PICTURES_H

class PICTURES;
class BMP2LZW;
class LZW2BMP;

class PICTURES
{
protected:
	void init();
	void writezeros(int numzero);

	FILE *fp;
	FILE *fw;
	
	bool initialized;

	int **pixels;

	int height;
	int numxtiles;
	int numytiles;
	int tileheight;
	int tilewidth;
	int width;

	int realwidth;
public:
	PICTURES(){initialized = false;}
	~PICTURES();
};

class LZW2BMP : PICTURES
{
private:
	void drawdat();
	void writebitmap(int width1, int height1, bool mask,
		int numxtiles1, int numytiles1);
	void writebmplzw1(const char* bmp, int num,
						   int width1, int height1, bool mask);
	void writedat(bool mask);
	void writeend();
	void writeheader();
	void writepicture(int pic);

public:
	LZW2BMP(){}
	~LZW2BMP(){}

	void writetileslzw();
	void writegraphics(const char* picname, bool usemask = false);
};

#endif